<div class="ev-contact-form">
	<?php
		echo $this->Session->flash('ev_contact_form');

		if (! isset($form['use_inline_errors']) || $form['use_inline_errors'] !== true):
			echo $this->element('EvContactForm.errors', array('name' => $name));
		endif;

		echo $this->Form->create('EvContactForm.' . $name, $form['form']);

		// a custom form submit check field
		echo $this->Form->hidden('contact-form-send', array('value' => $name));

		if (isset($form['fieldset']) && $form['fieldset'] == true):
			echo $this->Html->tag('fieldset', null);

			if (! empty($form['fieldset_message'])):
				if (is_array($form['fieldset_message'])):
					switch ($form['fieldset_message']['source']):
						case 'site_settings':
							echo Configure::read('SiteSetting.EvContactForm.' . $form['fieldset_message']['identifier']);
							break;

						default: // unsupported data source
							error_log('Invalid data source specified for fieldset message');
							break;
					endswitch;
				else:
					echo $this->Html->tag('p', $form['fieldset_message']);
				endif;
			endif;
		endif;

		if (! empty($form['legend'])):
			echo $this->Html->tag('legend', $form['legend']);
		endif;

		foreach ($form['fields'] as $field => $attr):
			// reset unwanted $attr
			unset($attr['validate']);

			// assign default values for the loop
			$fieldDiv = false;
			$fieldError = false;

			if (
				! empty($this->validationErrors['ContactFormResponse'][$field]) &&
				(isset($form['use_inline_errors']) && $form['use_inline_errors'] === true)
			):
				$fieldError = $this->Form->error('ContactFormResponse.' . $field);
				$attr['afterInput'] = $fieldError;
			endif;

			// extract the div class so error messages can be echo after the input
			// when the field has failed validation
			if (! empty($attr['div'])):
				$fieldDiv = $attr['div'];
				$attr['div'] = false;

				// assign a generic error class when the field has errored on save
				if (! empty($fieldError)):
					$fieldDiv .= ' error';
				endif;

				echo $this->Html->tag('div', null, ['class' => $fieldDiv]);
			endif;

			echo $this->Form->input($field, $attr);

			if (! empty($fieldDiv)):
				echo $this->Html->tag('/div');
			endif;
		endforeach;

		// spam field :)
		echo $this->Form->input('email_confirm', array(
			'type' => 'string',
			'div' => array(
				'style' => 'display: none;'
			)
		));

		if (isset($form['submit']['button_text'])):
			$inputName = $form['submit']['button_text'];
			unset($form['submit']['button_text']);
		else:
			$inputName = $name . '.save';
		endif;

		echo $this->Form->input($inputName, $form['submit']);

		if (isset($form['fieldset']) && $form['fieldset'] == true):
			echo $this->Html->tag('/fieldset');
		endif;

		echo $this->Form->end();

		echo $this->Html->css('EvContactForm.ev-contact-form');
	?>
</div>
